コア
モデルの一覧取得
TokenLabで現在利用可能なモデルの一覧を取得します
モデルカタログは公開されており、APIキーは不要です。各項目には、現在の機能、価格、およびAPIフォーマットの概要が含まれています。詳細が必要な場合は、個別のモデルを取得してください。
クエリパラメータ
chat、image、video、audio、tts、stt、music、3d、embedding、rerank、または translation でフィルタリングします。
image、video、music、3d、tts、stt、embedding、rerank、または translation などのタスクに対する現在の推奨事項を返します。
openai、anthropic、google、または deepseek などのモデル提供元でフィルタリングします。
chat、image、video、embedding、または translation などのタグでフィルタリングします。
レスポンス
list です。id、owned_by、および tokenlab の概要を含むモデルのリストです。tokenlab 配下の一般的なリストフィールドは以下の通りです:
tokenlab.aliasestokenlab.capabilitiestokenlab.pricingおよびtokenlab.pricing_unittokenlab.max_input_tokensおよびtokenlab.max_output_tokenstokenlab.categorytokenlab.lifecycle、tokenlab.commercial、およびtokenlab.badgestokenlab.request_format_summaryrecommended_forが使用されている場合のtokenlab.agent_preferences
recommended_for が使用されている場合、結果には推奨ステータスや更新日時が含まれることがあります。順序を固定するのではなく、現在のレスポンスを読み取ってください。
例
curl "https://api.tokenlab.sh/v1/models?category=video"{
"object": "list",
"data": [
{
"id": "veo3.1",
"object": "model",
"owned_by": "google",
"tokenlab": {
"category": "video",
"capabilities": ["text-to-video", "image-to-video"]
}
}
]
}詳細については、モデルの取得を参照してください。
curl -X GET "https://example.com/v1/models"{ "object": "list", "data": [ { "id": "string", "object": "model", "created": 0, "owned_by": "string", "tokenlab": { "aliases": [ "string" ], "deliveryAvailability": { "verified": true, "official": true, "operations": { "property1": { "verified": true, "official": true }, "property2": { "verified": true, "official": true } } }, "pricing": {}, "capabilities": [ "string" ], "providers": [ "string" ], "max_input_tokens": 0, "max_output_tokens": 0, "category": "string", "pricing_unit": "string", "cache_pricing": {}, "has_complex_pricing": true, "pricing_summary": {}, "agent_preferences": {}, "lifecycle": { "stage": "active", "reason": "string", "replacement_model": "string", "released_at": "2019-08-24T14:15:22Z", "deprecated_at": "2019-08-24T14:15:22Z", "retired_at": "2019-08-24T14:15:22Z", "sunset_at": "2019-08-24T14:15:22Z", "latest": true, "latest_source": "auto", "latest_window_days": 0 }, "commercial": { "user_charge_policy": "paid", "free_reason": "platform", "free_until": "2019-08-24T14:15:22Z" }, "badges": [ { "key": "free", "tone": "green", "priority": 0, "tooltip": { "key": "string", "values": { "property1": "string", "property2": "string" } } } ], "request_format_summary": { "public_operations": [ "string" ], "request_endpoint": "string", "request_endpoint_by_operation": { "property1": "string", "property2": "string" } } } } ]}認証
BearerAuth APIキー認証。Dashboard > API > API KeysでAPIキーを作成または管理します。
場所: header
クエリパラメータ
公開モデルプロバイダー(openai、anthropic、google、minimaxなど)でフィルタリングします。
公開機能タグでフィルタリングします。
モデルカテゴリでフィルタリングします。
指定できる値
- "chat"
- "embedding"
- "translation"
- "image"
- "video"
- "audio"
- "tts"
- "stt"
- "rerank"
- "3d"
- "music"
- "decision"
タスクカテゴリのサポートされている非チャットモデルを並べ替え、推奨エビデンスを含めます。
指定できる値
- "image"
- "video"
- "music"
- "3d"
- "tts"
- "stt"
- "embedding"
- "rerank"
- "translation"
コンパクトなモデル選択フィールドか、完全なOpenAI互換リスト形式かを選択します。
"full"指定できる値
- "compact"
- "full"
レスポンス
application/json
application/json
application/json
application/json
application/json